Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Mon 20 May 2019, 00:47
All times are UTC - 4
 Forum index » House Training » Users ( For the regulars ) » Pour les francophones
[Résolu] Gpodder
Moderators: Béèm, darkerror05, linuxcbon
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 1 [11 Posts]  
Author Message
felixbd

Joined: 18 Jan 2016
Posts: 38

PostPosted: Sat 17 Nov 2018, 07:39    Post subject:  [Résolu] Gpodder
Subject description: [Résolu] Gpodder et connexion web
 

Je teste Puppy Artful LXDE en frugal install. J'essaie d'utiliser Gpodder mais je constate un problème : si j'ouvre le logiciel et si je demande une mise à jour d'un podcast (ou de tous les podcasts) j'obtiens un message qui me signale qu'aucune connexion internet n'est présente sur ma machine, alors que la connexion en question fonctionne parfaitement.
Cela n'empêche pas le téléchargement d'un épisode mais aucune mise à jour n'est possible...
Quelqu'un a-t-il déjà rencontré le problème ? Merci d'avance.

Last edited by felixbd on Sat 24 Nov 2018, 07:42; edited 1 time in total
Back to top
View user's profile Send private message 
Argolance


Joined: 06 Jan 2008
Posts: 3616
Location: PORT-BRILLET (Mayenne - France)

PostPosted: Sat 17 Nov 2018, 20:07    Post subject:  

Bonsoir,
Je ne connaissais pas ce programme et l'ai téléchargé par curiosité. Semble marcher correctement sur Puppy Precise/ToOpPy... La connexion est prise en compte, les mises à jour des épisodes acceptées et actuellement en cours de téléchargement.

Cordialement.
181118_010428_706x528_easyshot.jpg
 Description   
 Filesize   57.21 KB
 Viewed   201 Time(s)

181118_010428_706x528_easyshot.jpg


_________________

Back to top
View user's profile Send private message Visit poster's website 
felixbd

Joined: 18 Jan 2016
Posts: 38

PostPosted: Sun 18 Nov 2018, 10:06    Post subject: Gpodder  

Merci d'avoir pris la peine de tester. L'intérêt de Gpodder est qu'il permet de télécharger les épisodes avec leurs titres, ce qui est intéressant lorsqu'on consomme beaucoup de podcasts (c'est mon cas).
J'ai fait des essais sur diverses versions de Puppy, que ce soit sur un pc en 32 bits ou sur un autre en 64, et le même problème se pose : affichage intempestif d'une notification indiquant l'absence de liaison internet. Je suppose qu'il doit me manquer une ou plusieurs dépendances.
Une seule solution : installer Toopy !
Je laisse le fil ouvert, au cas où quelqu'un aurait une autre suggestion... bien que le forum me semble de plus en plus désert.
Cordialement.
Back to top
View user's profile Send private message 
did18

Joined: 19 Nov 2014
Posts: 417

PostPosted: Sun 18 Nov 2018, 20:20    Post subject:  

Bonjour

felixbd wrote:
Une seule solution : installer Toopy !

Excellente solution Wink

felixbd wrote:
Je suppose qu'il doit me manquer une ou plusieurs dépendances.

C'est fort probable...
Une alternative serait de voir le nombre et possibilité de récupérer ces dépendances pour en faire une archive (sfs ou pet) qui pourrait être mise à disposition de tous ?

[Edit] 5 minutes après (et vérifications)...
Il est possible de récupérer les dépendances nécessaires directement ici (cliquer sur moi)
Si cela peut vous être utile...

Bonne journée.
Back to top
View user's profile Send private message 
Argolance


Joined: 06 Jan 2008
Posts: 3616
Location: PORT-BRILLET (Mayenne - France)

PostPosted: Mon 19 Nov 2018, 06:16    Post subject:  

felixbd wrote:
Une seule solution : installer Toopy !

Merci Didier pour ToOpPy Wink, mais ce n'est peut-être pas la meilleure solution et d'ailleurs, ça n'a peut-être rien à voir! Rolling Eyes
J'aurais plutôt tendance à penser qu'il s'agit d'une question de version. Quelle est la tienne? Moi c'est la version 2.5 "portable", trouvée Arrow sur Sourceforge.
Voici la liste de dépendances requises:
Code:
# ldd /usr/local/bin/gPodder
   linux-gate.so.1 =>  (0xb7791000)
   libglib-2.0.so.0 => /lib/libglib-2.0.so.0 (0xb7696000)
   libz.so.1 => /lib/libz.so.1 (0xb7680000)
   libfuse.so.2 => /lib/libfuse.so.2 (0xb7651000)
   librt.so.1 => /lib/librt.so.1 (0xb7648000)
   libdl.so.2 => /lib/libdl.so.2 (0xb7643000)
   libpthread.so.0 => /lib/libpthread.so.0 (0xb7628000)
   libc.so.6 => /lib/libc.so.6 (0xb7474000)
   libpcre.so.3 => /lib/libpcre.so.3 (0xb7438000)
   /lib/ld-linux.so.2 (0xb7792000)

Que dit la commande en console:
Code:
ldd /chemin/vers/gPodder

Cordialement.

_________________

Back to top
View user's profile Send private message Visit poster's website 
did18

Joined: 19 Nov 2014
Posts: 417

PostPosted: Mon 19 Nov 2018, 20:09    Post subject:  

Bonjour

En fait je n'ai pas installé Gpodder, j'ai juste téléchargé la version 3.9.3.1 pour xenial.
Apparemment Gpodder est programmé en python...
Avant de se lancer dans l'ajout de "libs", je pense qu'il faudra vérifier si il ne manque pas des morceaux du "serpent" sur la distribution hôte (c'est peut être plus là que se situe réellement le problème).

Dans le compte rendu infodeb (en PJ), j'ai surligné les dépendances vitales au bon fonctionnement de Gpodder.

Tous ces éléments devraient aider felixbd pour les MAJ.
En tout cas quelques pistes à explorer...

Bonne journée.
ifodeb_gpodder.png
Description 
png

 Download 
Filename  ifodeb_gpodder.png 
Filesize  105.81 KB 
Downloaded  72 Time(s) 
Back to top
View user's profile Send private message 
felixbd

Joined: 18 Jan 2016
Posts: 38

PostPosted: Wed 21 Nov 2018, 11:07    Post subject: Gpodder  

Merci de votre aide mais je n'ai pas beaucoup avancé pour cause d'incompétence technique.
Après inspection des dépendances et téléchargement de celles qui manquaient, pas de changement. J'ai alors désinstallé puis réinstallé gPodder et dépendances. Résultat : le logiciel ne démarre plus ! -- Il est clair que j'ai dû rater quelque chose...

Si j'essaie de lancer gPodder depuis le terminal, j'obtiens le message suivant :
Code:
# gpodder
Traceback (most recent call last):
  File "/usr/bin/gpodder", line 159, in <module>
    main()
  File "/usr/bin/gpodder", line 110, in main
    if gpodder.ui.osx:
AttributeError: 'UI' object has no attribute 'osx'
#


Si je lance la commande suggérée par Argolance, j'obtiens :
Code:
# ldd /usr/bin/gpodder
   not a dynamic executable

Cela dit, j'ai aussi essayé la version portable (2.5) qui se comporte normalement à ceci près qu'il m'est impossible de paramétrer l'enregistrement du titre de l'épisode téléchargé : si j'édite le fichier de configuration, je n'obtiens rien de la ligne "custom sync name" : quel que soit mon choix, l'épisode sort sans titre.
N.B. : cet inconvénient est partiellement compensé par la possibilité de créer, dans le fichier de téléchargement, une liste de lecture .m3u qui permet d'avoir les titres sur le lecteur dédié... mais pas sur un autre appareil. Or je ne lis pas mes podcasts sur ma machine.
Il ne s'agit bien sûr que d'un détail : j'essaie de redonner vie à un ordinateur portable de 9 ans et demi et, pour l'instant, mes besoins sont largement couverts.
Je laisse le fil en l'état et le clôturerai dans quelques jours si rien d'autre n'est suggéré : je considère le problème comme réglé.

En tout cas merci encore à Argolance et à did18
Bien cordialement.
Back to top
View user's profile Send private message 
Argolance


Joined: 06 Jan 2008
Posts: 3616
Location: PORT-BRILLET (Mayenne - France)

PostPosted: Wed 21 Nov 2018, 20:33    Post subject:  

Hello,
Quote:
Si j'essaie de lancer gPodder depuis le terminal, j'obtiens le message suivant

D'après ce que je vois, tu as téléchargé une version pour mac...

Cordialement.

_________________

Back to top
View user's profile Send private message Visit poster's website 
felixbd

Joined: 18 Jan 2016
Posts: 38

PostPosted: Fri 23 Nov 2018, 04:46    Post subject:  

@Argolance
Merci de me répondre.
Quote:
D'après ce que je vois, tu as téléchargé une version pour mac...

C'est ce que j'ai pensé, bien que la version que j'utilise actuellement provienne des dépôts. Mais, depuis le début de mes recherches, j'ai tenté d'installer sans succès une autre version de gPodder. Est-il possible, au cas où j'aurais installé une version mac, que le système garde des traces d'une mauvaise configuration, malgré toutes les précautions que j'ai prises pour la faire disparaître ?
Bien cordialement.
Back to top
View user's profile Send private message 
Argolance


Joined: 06 Jan 2008
Posts: 3616
Location: PORT-BRILLET (Mayenne - France)

PostPosted: Fri 23 Nov 2018, 05:09    Post subject:  

Bonjour,
Quote:
que le système garde des traces d'une mauvaise configuration

À priori, ce n'est pas possible: ne sois pas inquiet pour ça.
Pour Gpodder, tu peux aussi regarder dans le PPM pour une version compatible avec ton système, car, par exemple, la 2.2 (que je n'ai pas testée) est présente dans la base de Puppy Precise.

Cordialement.

_________________

Back to top
View user's profile Send private message Visit poster's website 
felixbd

Joined: 18 Jan 2016
Posts: 38

PostPosted: Sat 24 Nov 2018, 07:38    Post subject:
Subject description: godder
 

@ Argolance
Merci de me rassurer au sujet de possibles traces d'une mauvaise configuration...
J'ai tout repris à zéro avec une installation rapide sur une clé et je constate toujpours que la mise à jour des podcasts ne peut se faire, alors qu'il est possible d'ajouter automatiquement de nouvelles entrées. Ce qui veut dire que le logiciel ne pose problème que sur une partie de ses liens avec internet. La logique voudrait que l'on conclue à un bug. Mais je ne suis pas assez compétent pour le faire.
En revanche, j'ai trouvé une voie de contournement avec Clementine qui fait la même chose que gPodder à ceci près que les lettres accentuées sont absentes des titres... mais ce détail doit pouvoir se régler. Certes Clementine est un peu plus lourd mais je vais l'adopter sur mon installation frugale où je dispose de beaucoup d'espace.
Merci encore. J'inscris "résolu" ci-dessus... même si ce n'est pas parfaitement exact !
Bien cordialement
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 1 of 1 [11 Posts]  
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » House Training » Users ( For the regulars ) » Pour les francophones
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0489s ][ Queries: 12 (0.0100s) ][ GZIP on ]